I need direct x for Windows XP

Asked By 30 points N/A Posted on -
qa-featured

Hi everyone, 

I have installed windows xp sp2. But I am stuck with  some software because they need directx.

I need some link about DirectX free download for win xp sp2, please help me. 

Thanks. 

SHARE
Best Answer by Alex A Gonzales
Answered By 10 points N/A #143597

I need direct x for Windows XP

qa-featured

 

Hi Charles Mitchell,

There is some DirectX base software so when you want to install them they will ask for DirectX software. Speaclially “Need for speed” game. I was also facing trouble when I was going to install “Need for speed”. Actually DirectX needs for complex software or sophisticated game. I will suggest you that you should go to Google and search for “DirectX for Windows XP” and then you will get many websites where you can download that. I am giving a link where you can get the DirectX software but in the future this link may not be working so you should go to Google.

Download link: http://www.softpedia.com/get/System/OS-Enhancements/DirectX-10-for-Windows-XP.shtml

Best of luck

Best Answer
Best Answer
Answered By 40 points N/A #143598

I need direct x for Windows XP

qa-featured

Hello Mr. Charles,

DirectX is a very important component of windows. However DirectX is included with all the  versions of windows.

If you successfully installed the windows then DirectX is also installed with it.

Please follow the steps to check it:

Click Start button > click Run >Type dxdiag > Press ok

An information box will appear. Press Yes then a screen will come up with various information about your system. There you will find the DirectX version of your system and it will be 9.0c. DirectX 9.0c is the final and last version for XP. Download the DirectX End-User Runtime Web Installer from the official Microsoft website. It will update your DirectX and then try to install your software's. If the software's still trouble you then search whether the software's you are trying to install support Windows XP or DirectX 9.0c. If they require above 9.0c (like DirectX 10 or 11) then you can't use those software's.

Hope this will help to solve your problem.Best Regards.

Login/Register to Answer

Related Questions